import {
  arrayRemoveElement
} from "./chunk-DUON5DN5.js";

// src/common/data/signal.ts
function useSignal(value, onChange) {
  let signal = structuredClone(value);
  const watchers = [];
  function off(fn) {
    arrayRemoveElement(watchers, fn);
  }
  function on(fn) {
    watchers.push(fn);
    return () => off(fn);
  }
  if (onChange)
    watchers.push(onChange);
  const get = () => structuredClone(signal);
  const set = (value2) => {
    if (value2 !== signal) {
      const oldValue = signal;
      signal = value2;
      watchers.forEach((fn) => fn(value2, oldValue));
    }
  };
  const obj = [get, set, on, off];
  obj.get = get;
  obj.set = set;
  obj.on = on;
  obj.off = off;
  return obj;
}

export {
  useSignal
};
//# sourceMappingURL=chunk-3SMFSMCY.js.map