"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } } function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }// src/common/platform.ts
function getWindow() {
  if (typeof window !== "undefined")
    return window;
}
function getNavigator() {
  if (typeof navigator !== "undefined")
    return navigator;
}
function getGlobal() {
  return _nullishCoalesce(getWindow(), () => ( typeof WorkerGlobalScope !== "undefined")) ? self : typeof global !== "undefined" ? global : Function("return this;")();
}
function detect(info = {
  ios: false,
  macos: false,
  windows: false,
  beaker: false,
  electron: false,
  wkwebview: false,
  pwa: false,
  pwaInstalled: false,
  browser: false,
  node: false,
  worker: false,
  test: false,
  jest: false,
  macosNative: false,
  iosNative: false,
  appleNative: false,
  touch: false
}) {
  const _navigator = getNavigator();
  const _window = getWindow();
  info.ios = _optionalChain([_navigator, 'optionalAccess', _ => _.platform, 'optionalAccess', _2 => _2.match, 'call', _3 => _3(/(iPhone|iPod|iPad)/i)]) != null;
  info.macos = !!_optionalChain([_navigator, 'optionalAccess', _4 => _4.platform, 'optionalAccess', _5 => _5.startsWith, 'call', _6 => _6("Mac")]);
  info.windows = !!_optionalChain([_navigator, 'optionalAccess', _7 => _7.platform, 'optionalAccess', _8 => _8.startsWith, 'call', _9 => _9("Win")]);
  info.beaker = _optionalChain([_window, 'optionalAccess', _10 => _10.beaker]) != null;
  info.electron = (_optionalChain([_navigator, 'optionalAccess', _11 => _11.userAgent, 'optionalAccess', _12 => _12.toLowerCase, 'call', _13 => _13(), 'optionalAccess', _14 => _14.indexOf, 'call', _15 => _15(" electron/")]) || -1) > -1 && !info.beaker;
  info.wkwebview = _optionalChain([_window, 'optionalAccess', _16 => _16.webkit, 'optionalAccess', _17 => _17.messageHandlers]) != null;
  info.pwa = _optionalChain([_navigator, 'optionalAccess', _18 => _18.serviceWorker]) != null;
  info.pwaInstalled = _optionalChain([_navigator, 'optionalAccess', _19 => _19.standalone]) || _optionalChain([_window, 'optionalAccess', _20 => _20.matchMedia, 'optionalCall', _21 => _21("(display-mode: standalone)"), 'optionalAccess', _22 => _22.matches]);
  info.node = typeof process !== "undefined" && _optionalChain([process, 'optionalAccess', _23 => _23.release, 'optionalAccess', _24 => _24.name]) === "node";
  info.browser = !info.electron && !info.wkwebview && !info.node;
  info.worker = typeof WorkerGlobalScope !== "undefined" && self instanceof WorkerGlobalScope;
  info.jest = typeof jest !== "undefined" || typeof vitest !== "undefined";
  info.test = info.jest;
  info.macosNative = info.wkwebview && info.macos;
  info.iosNative = info.wkwebview && info.ios;
  info.appleNative = info.wkwebview;
  info.touch = _window && "ontouchstart" in _window || (_optionalChain([_navigator, 'optionalAccess', _25 => _25.maxTouchPoints]) || 0) > 1 || _optionalChain([_navigator, 'optionalAccess', _26 => _26.msPointerEnabled]) && _optionalChain([_window, 'optionalAccess', _27 => _27.MSGesture]) || _optionalChain([_window, 'optionalAccess', _28 => _28.DocumentTouch]) && document instanceof DocumentTouch;
  return info;
}
function isBrowser() {
  return typeof window !== "undefined" && globalThis === window;
}
function useExitHandler(handler) {
  if (isBrowser())
    window.addEventListener("beforeunload", handler);
  else if (typeof process !== "undefined")
    process.on("exit", () => handler);
}








exports.getWindow = getWindow; exports.getNavigator = getNavigator; exports.getGlobal = getGlobal; exports.detect = detect; exports.isBrowser = isBrowser; exports.useExitHandler = useExitHandler;
//# sourceMappingURL=chunk-LKES6YKV.cjs.map