"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; } function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } } function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }

var _chunk52BL3727cjs = require('./chunk-52BL3727.cjs');

// src/node/log/log-util.ts
var _path = require('path');
var _process = require('process'); var _process2 = _interopRequireDefault(_process);
function getStackLlocationList(stack) {
  if (typeof stack !== "string")
    return [];
  return _nullishCoalesce(_optionalChain([stack, 'optionalAccess', _ => _.split, 'call', _2 => _2("\n"), 'access', _3 => _3.map, 'call', _4 => _4((rawLine) => {
    const m = rawLine.match(
      /^\s+at.*(\((.*)\)|file:\/\/(.*)$)|\s*at\s(\/.*)$/
    );
    if (m) {
      let line = m[3] || m[2] || m[4];
      if (line.endsWith(")"))
        line = line.slice(0, -1);
      return line;
    }
    return void 0;
  }), 'optionalAccess', _5 => _5.filter, 'call', _6 => _6(_chunk52BL3727cjs.isNotNull)]), () => ( []));
}
function pathStripCwd(path) {
  if (path.includes("/node_modules/"))
    return "";
  const fileURL = "file://";
  if (path.startsWith(fileURL))
    return path.substr(fileURL.length);
  const cwd = _path.resolve.call(void 0, _process2.default.cwd());
  if (cwd && path.startsWith(cwd))
    return path.substr(cwd.length + 1);
  const home = _optionalChain([_process2.default, 'access', _7 => _7.env, 'optionalAccess', _8 => _8.HOME]) ? _path.resolve.call(void 0, _optionalChain([_process2.default, 'access', _9 => _9.env, 'optionalAccess', _10 => _10.HOME])) : "";
  if (home && path.startsWith(home))
    path = `~/${path.substr(home.length + 1)}`;
  return path;
}
function extractFileInfo(stackLine) {
  const m = stackLine.match(/^\s*at.*(\((.*)\)|file:\/\/(.*)$)|\s*at\s(\/.*)$/);
  if (m) {
    let line = m[3] || m[2] || m[4];
    if (line.endsWith(")"))
      line = line.slice(0, -1);
    return line;
  }
  return "";
}
function getSourceLocation(level = 2, stripCwd = true) {
  const stack = new Error("stack").stack || "";
  let line = _optionalChain([getStackLlocationList, 'call', _11 => _11(stack), 'optionalAccess', _12 => _12[level]]);
  if (line && stripCwd)
    line = pathStripCwd(line);
  return line || "";
}
function getStack() {
  return new Error("stack").stack || "";
}
function getSourceLocationByPrecedingPattern(patterns, stripCwd = true) {
  let line = "";
  const stack = new Error("stack").stack || "";
  if (typeof stack === "string") {
    const lines = stack.split("\n").map((l) => l.trim());
    const index = lines.findIndex((l) => patterns.some((p) => l.startsWith(p)));
    line = lines[index + 1];
    if (line)
      line = extractFileInfo(line);
    if (line && stripCwd)
      line = pathStripCwd(line);
  }
  return line;
}






exports.getStackLlocationList = getStackLlocationList; exports.getSourceLocation = getSourceLocation; exports.getStack = getStack; exports.getSourceLocationByPrecedingPattern = getSourceLocationByPrecedingPattern;
//# sourceMappingURL=chunk-PHDNJWF3.cjs.map