import "../chunk-HMRSQHLY.js";
import "../chunk-UMUHNSGZ.js";
import "../chunk-3ESD64QY.js";
import "../chunk-HOL3CDR5.js";
import "../chunk-YNHWGFAP.js";
import "../chunk-56A7O3ON.js";
import "../chunk-GKKLBSFA.js";
import "../chunk-RNL46FQ3.js";
import "../chunk-MWUFUBY5.js";
import "../chunk-264HKVNG.js";
import "../chunk-6FVATU5D.js";
import "../chunk-LKHGPAZI.js";
import "../chunk-FLFB2K34.js";
import "../chunk-HST4VI64.js";
import "../chunk-A7SUGWC3.js";
import "../chunk-PDBCA7WB.js";
import "../chunk-B44DP4LU.js";
import "../chunk-6NKWSWQW.js";
import "../chunk-Y5ZWBEKN.js";
import "../chunk-OUD6NWHY.js";
import "../chunk-2QDXP3IF.js";
import "../chunk-YFNV56TG.js";
import "../chunk-V3OFUMQX.js";
import "../chunk-FA3Y54NL.js";
import "../chunk-YQIRRU73.js";
import "../chunk-ZSX3K6MH.js";
import "../chunk-MPAXUMZ5.js";
import "../chunk-PJDBG5VS.js";
import "../chunk-3PCE3IPH.js";
import "../chunk-WEBXXRYZ.js";
import "../chunk-OQ2AACIR.js";
import "../chunk-TSCDX4AS.js";
import "../chunk-XWWQZH6C.js";
import "../chunk-D6B6MYVG.js";
import {
  DefaultLogger
} from "../chunk-Y7J6ADHV.js";
import "../chunk-OKUAPZFI.js";
import "../chunk-QS2OVW4B.js";
import {
  decrypt,
  deriveKeyPbkdf2,
  digest,
  encrypt,
  randomUint8Array
} from "../chunk-7IUVQQ4S.js";
import "../chunk-I45WP5PM.js";
import "../chunk-MIZOLME5.js";
import "../chunk-UJR57SSR.js";
import "../chunk-YX6CL4KH.js";
import "../chunk-ZFRTRIT4.js";
import "../chunk-CFICINSP.js";
import "../chunk-36ARYR6V.js";
import "../chunk-XSB2WAW2.js";
import "../chunk-5Y3HYG6B.js";
import "../chunk-FPJHSFML.js";
import "../chunk-3SMFSMCY.js";
import "../chunk-X2DIUKLP.js";
import "../chunk-NYCGHEIN.js";
import "../chunk-AS5LR4AI.js";
import "../chunk-DUQ7DD4G.js";
import "../chunk-XHROZN2O.js";
import "../chunk-2HWPZ6ZE.js";
import "../chunk-2PY7FMFN.js";
import "../chunk-73CVRDI7.js";
import "../chunk-FL5CT6MC.js";
import "../chunk-HLRQ5H3N.js";
import "../chunk-DXSTF7NX.js";
import "../chunk-AY5LGXTC.js";
import "../chunk-DGP32WEQ.js";
import "../chunk-N5R4OMJA.js";
import "../chunk-SOTGICOC.js";
import "../chunk-MVRB7Y7X.js";
import "../chunk-FSDCRQB3.js";
import "../chunk-MRFHKDNG.js";
import "../chunk-DUON5DN5.js";
import "../chunk-GY34N3KU.js";
import "../chunk-IZT6OHMS.js";
import "../chunk-JJD2XTS2.js";
import "../chunk-TYWNSO7K.js";
import "../chunk-ZMFW3O35.js";
import "../chunk-5BQNKE5C.js";
import "../chunk-7NSVDPHN.js";
import {
  equalBinary,
  toHex
} from "../chunk-WG6ZJDFQ.js";
import "../chunk-VWBTJP5F.js";
import "../chunk-LRAR7IPU.js";

// src/common/crypto.spec.ts
var log = DefaultLogger("crypto.spec");
describe("crypto", () => {
  it("should not have collisions", () => {
    expect(equalBinary(new Uint8Array(2), new Uint8Array([0, 0]))).toBe(true);
    const list = Array.apply(null, Array(100)).map(
      () => randomUint8Array(8)
    );
    let id;
    while (id = list.pop()) {
      expect(equalBinary(id, new Uint8Array([0, 0, 0, 0, 0, 0, 0, 0]))).toBe(
        false
      );
      expect(id?.length).toBe(8);
      expect(list).not.toContain(id);
    }
  });
  it("should digest", async () => {
    expect(toHex(await digest("abc"))).toBe(
      "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad"
    );
    expect(await digest(new Uint8Array([1, 2, 3]))).toMatchInlineSnapshot(`
Uint8Array [
  3,
  144,
  88,
  198,
  242,
  192,
  203,
  73,
  44,
  83,
  59,
  10,
  77,
  20,
  239,
  119,
  204,
  15,
  120,
  171,
  204,
  206,
  213,
  40,
  125,
  132,
  161,
  162,
  1,
  28,
  251,
  129,
]
`);
  });
  it("should raw crypt", async () => {
    const key = await deriveKeyPbkdf2(new Uint8Array([1, 2, 3]), {
      salt: new Uint8Array([1, 2, 3])
    });
    const sample = new Uint8Array([9, 8, 7, 6, 5, 4, 3, 2, 1, 0]);
    const cipher = await encrypt(sample, key);
    const bin = await decrypt(cipher, key);
    expect(equalBinary(sample, bin)).toBe(true);
    const binFix = await decrypt(
      new Uint8Array([
        1,
        1,
        27,
        108,
        252,
        31,
        238,
        192,
        61,
        168,
        45,
        29,
        128,
        212,
        215,
        222,
        205,
        105,
        178,
        193,
        150,
        36,
        24,
        216,
        180,
        75,
        168,
        133,
        37,
        25,
        124,
        137,
        221,
        103,
        214,
        97,
        218,
        232,
        248,
        93
      ]),
      key
    );
    expect(binFix).toEqual(sample);
  });
});
//# sourceMappingURL=crypto.spec.js.map