"use strict";



var _chunk4HLDMY5Ucjs = require('../chunk-4HLDMY5U.cjs');
require('../chunk-HMBNEKYK.cjs');
require('../chunk-DRTH56G4.cjs');
require('../chunk-A4VFMLAN.cjs');
require('../chunk-RZKLDILW.cjs');
require('../chunk-NEUX2E3A.cjs');
require('../chunk-RKOTNV3K.cjs');
require('../chunk-XWE2OTGL.cjs');
require('../chunk-KTC5RW57.cjs');
require('../chunk-7ZVZ6CJO.cjs');
require('../chunk-ZTXHUURC.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-VLOXFDUZ.cjs');
require('../chunk-N7OUNPMM.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-YELWQAMG.cjs');
require('../chunk-XVQVWCIE.cjs');
require('../chunk-52BL3727.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-JQSCYOKH.cjs');
require('../chunk-L5SJIWCK.cjs');
require('../chunk-EE5CB3R7.cjs');
require('../chunk-QYCE2TUJ.cjs');
require('../chunk-5KIDARFB.cjs');
require('../chunk-DRQTDJSC.cjs');
require('../chunk-6T6PI6XG.cjs');
require('../chunk-PJXRDQ2A.cjs');
require('../chunk-5K46PLWP.cjs');
require('../chunk-FYLSPYV2.cjs');
require('../chunk-YKRFYR2Q.cjs');
require('../chunk-7FO3T7KH.cjs');
require('../chunk-BMRI2X66.cjs');
require('../chunk-QP5Y3I6F.cjs');
require('../chunk-TAKWLGAZ.cjs');
require('../chunk-EBDUTZIB.cjs');

// src/common/csv.spec.ts
describe("csv.spec", () => {
  it("should generate csv", async () => {
    const txt = _chunk4HLDMY5Ucjs.csvStringify.call(void 0, [
      [1, "one", 1e10, "1e10", 1.23],
      [2, "two\nlines", null, void 0, true],
      [3, 'tree "drei"', {}, { a: 1 }, [1, 2, 3]]
    ]);
    expect(txt).toMatchInlineSnapshot(`
      "1,one,10000000000,1e10,1.23
      2,"two
      lines",,,1
      3,"tree ""drei""",{},"{""a"":1}","[1,2,3]"
      "
    `);
    expect(_chunk4HLDMY5Ucjs.csvParse.call(void 0, txt)).toMatchInlineSnapshot(`
      Array [
        Array [
          "1",
          "one",
          "10000000000",
          "1e10",
          "1.23",
        ],
        Array [
          "2",
          "two
      lines",
          "",
          "",
          "1",
        ],
        Array [
          "3",
          "tree "drei"",
          "{}",
          "{"a":1}",
          "[1,2,3]",
        ],
      ]
    `);
  });
  it("should parse", () => {
    const sample = `"Zeitpunkt";"timestamp";"D0";"V0";"V0_max";"T0";"F0";"G0";"S0";"R0";"M0";"T1";"L0";"L0_nn"
"26.10.2022, 23:00";"1666825201";"155";"4";"6";"146";"80";"9";"0";"0";"0";"135";"0";"10102"
"26.10.2022, 23:10";"1666825801";"161";"4";"7";"145";"80";"8";"0";"0";"0";"135";"0";"10102"
"26.10.2022, 23:20";"1666826401";"160";"4";"7";"145";"81";"9";"0";"0";"0";"135";"0";"10102"
"26.10.2022, 23:30";"1666827001";"160";"4";"7";"145";"81";"8";"0";"0";"0";"134";"0";"10102"
"26.10.2022, 23:40";"1666827601";"151";"4";"7";"145";"81";"9";"0";"0";"0";"134";"0";"10102"
"26.10.2022, 23:50";"1666828201";"149";"4";"7";"147";"80";"9";"0";"0";"0";"137";"0";"10102"
"27.10.2022, 00:00";"1666828801";"151";"4";"7";"147";"80";"9";"0";"0";"0";"137";"0";"10102"
"27.10.2022, 00:10";"1666829401";"154";"4";"6";"148";"80";"9";"0";"0";"0";"137";"0";"10102"
"27.10.2022, 00:20";"1666830001";"150";"4";"7";"147";"80";"9";"0";"0";"0";"137";"0";"10102"`;
    const objs = _chunk4HLDMY5Ucjs.csvParseToObjects.call(void 0, sample, { separator: ";" });
    expect(objs.slice(0, 3)).toMatchInlineSnapshot(`
      Array [
        Object {
          "D0": "155",
          "F0": "80",
          "G0": "9",
          "L0": "0",
          "L0_nn": "10102",
          "M0": "0",
          "R0": "0",
          "S0": "0",
          "T0": "146",
          "T1": "135",
          "V0": "4",
          "V0_max": "6",
          "Zeitpunkt": "26.10.2022, 23:00",
          "timestamp": "1666825201",
        },
        Object {
          "D0": "161",
          "F0": "80",
          "G0": "8",
          "L0": "0",
          "L0_nn": "10102",
          "M0": "0",
          "R0": "0",
          "S0": "0",
          "T0": "145",
          "T1": "135",
          "V0": "4",
          "V0_max": "7",
          "Zeitpunkt": "26.10.2022, 23:10",
          "timestamp": "1666825801",
        },
        Object {
          "D0": "160",
          "F0": "81",
          "G0": "9",
          "L0": "0",
          "L0_nn": "10102",
          "M0": "0",
          "R0": "0",
          "S0": "0",
          "T0": "145",
          "T1": "135",
          "V0": "4",
          "V0_max": "7",
          "Zeitpunkt": "26.10.2022, 23:20",
          "timestamp": "1666826401",
        },
      ]
    `);
    const data = _chunk4HLDMY5Ucjs.csvParse.call(void 0, sample, { separator: ";" });
    expect(data.slice(0, 3)).toMatchInlineSnapshot(`
      Array [
        Array [
          "Zeitpunkt",
          "timestamp",
          "D0",
          "V0",
          "V0_max",
          "T0",
          "F0",
          "G0",
          "S0",
          "R0",
          "M0",
          "T1",
          "L0",
          "L0_nn",
        ],
        Array [
          "26.10.2022, 23:00",
          "1666825201",
          "155",
          "4",
          "6",
          "146",
          "80",
          "9",
          "0",
          "0",
          "0",
          "135",
          "0",
          "10102",
        ],
        Array [
          "26.10.2022, 23:10",
          "1666825801",
          "161",
          "4",
          "7",
          "145",
          "80",
          "8",
          "0",
          "0",
          "0",
          "135",
          "0",
          "10102",
        ],
      ]
    `);
  });
});
//# sourceMappingURL=csv.spec.cjs.map