"use strict";




var _chunkBMRI2X66cjs = require('../../chunk-BMRI2X66.cjs');
require('../../chunk-EBDUTZIB.cjs');

// src/common/data/camelcase.spec.ts
describe("camelcase", () => {
  it("should convert", () => {
    expect(
      [
        "  spaces  somewhere  ",
        "BigOnesAtStart",
        "camel_case_classic_123",
        "-camel-case-classic",
        "ONLY_CAPTITAL_LETTERS_123"
      ].map(_chunkBMRI2X66cjs.toCamelCase)
    ).toEqual([
      "spacesSomewhere",
      "bigOnesAtStart",
      "camelCaseClassic123",
      "camelCaseClassic",
      "onlyCaptitalLetters123"
    ]);
  });
  it("should capitalize", () => {
    expect(
      [
        "this is a test",
        "Capital first",
        "ALL BIG",
        "5tart with number and endin6"
      ].map(_chunkBMRI2X66cjs.toCapitalize)
    ).toEqual([
      "This is a test",
      "Capital first",
      "All big",
      "5tart with number and endin6"
    ]);
  });
  it("should capitalize words", () => {
    expect(
      [
        "this is a test",
        "Capital first",
        "ALL BIG",
        "5tart with number and endin6"
      ].map(_chunkBMRI2X66cjs.toCapitalizeWords)
    ).toEqual([
      "This Is A Test",
      "Capital First",
      "All Big",
      "5tart With Number And Endin6"
    ]);
  });
  it("should convert back", () => {
    expect(
      [
        "spacesSomewhere",
        "bigOnesAtStart",
        "camelCaseClassic123",
        "camelCaseClassic",
        "onlyCaptitalLetters123"
      ].map((s) => _chunkBMRI2X66cjs.fromCamelCase.call(void 0, s))
    ).toEqual([
      "spaces-somewhere",
      "big-ones-at-start",
      "camel-case-classic123",
      "camel-case-classic",
      "only-captital-letters123"
    ]);
  });
});
//# sourceMappingURL=camelcase.spec.cjs.map