import {
  renderMessages,
  valueToInteger,
  valueToString
} from "../../chunk-N5R4OMJA.js";
import "../../chunk-WG6ZJDFQ.js";
import "../../chunk-VWBTJP5F.js";
import "../../chunk-LRAR7IPU.js";

// src/common/data/convert.spec.ts
describe("convert", () => {
  it("should convert", () => {
    expect(valueToString(123)).toBe("123");
    expect(valueToInteger("123")).toBe(123);
    expect(valueToInteger(true)).toBe(1);
  });
  it("should print errors", () => {
    expect(renderMessages(["Message", new Error("Hello")])).toContain(
      "Message Error: Hello"
    );
    expect(
      renderMessages(["Message", new Error("Hello")], { trace: false })
    ).toBe("Message Error: Hello");
    expect(
      renderMessages([
        "Message",
        { a: 1, b: null },
        null,
        void 0,
        Number.NaN,
        100,
        "string"
      ])
    ).toEqual(`Message {
  "a": 1,
  "b": null
} null undefined NaN 100 string`);
  });
});
//# sourceMappingURL=convert.spec.js.map