"use strict";














var _chunk52BL3727cjs = require('../../chunk-52BL3727.cjs');
require('../../chunk-7FO3T7KH.cjs');
require('../../chunk-TAKWLGAZ.cjs');
require('../../chunk-EBDUTZIB.cjs');

// src/common/data/is.spec.ts
describe("is", () => {
  it("should identify Uint8Array", () => {
    expect(_chunk52BL3727cjs.isUint8Array.call(void 0, new Uint8Array([1, 2, 3]))).toBe(true);
    expect(_chunk52BL3727cjs.isUint8Array.call(void 0, new Uint16Array([1, 2, 3]))).toBe(false);
    expect(_chunk52BL3727cjs.isUint8Array.call(void 0, {})).toBe(false);
    expect(_chunk52BL3727cjs.isUint8Array.call(void 0, [1, 2, 3])).toBe(false);
  });
  it("should identify object correctly", () => {
    class X {
      foo() {
        return "bar";
      }
    }
    const x = new X();
    const plain = { hello: "world" };
    function fn() {
      return "hello";
    }
    expect(_chunk52BL3727cjs.isObject.call(void 0, X)).toBe(false);
    expect(_chunk52BL3727cjs.isObject.call(void 0, x)).toBe(true);
    expect(_chunk52BL3727cjs.isObject.call(void 0, plain)).toBe(true);
    expect(_chunk52BL3727cjs.isObject.call(void 0, [])).toBe(true);
    expect(_chunk52BL3727cjs.isObject.call(void 0, 123)).toBe(false);
    expect(_chunk52BL3727cjs.isObject.call(void 0, /* @__PURE__ */ new Date())).toBe(true);
    expect(_chunk52BL3727cjs.isObject.call(void 0, fn)).toBe(false);
    expect(_chunk52BL3727cjs.isRecord.call(void 0, X)).toBe(false);
    expect(_chunk52BL3727cjs.isRecord.call(void 0, x)).toBe(true);
    expect(_chunk52BL3727cjs.isRecord.call(void 0, plain)).toBe(true);
    expect(_chunk52BL3727cjs.isRecord.call(void 0, [])).toBe(false);
    expect(_chunk52BL3727cjs.isRecord.call(void 0, 123)).toBe(false);
    expect(_chunk52BL3727cjs.isRecord.call(void 0, /* @__PURE__ */ new Date())).toBe(true);
    expect(_chunk52BL3727cjs.isRecord.call(void 0, fn)).toBe(false);
    expect(_chunk52BL3727cjs.isRecordPlain.call(void 0, X)).toBe(false);
    expect(_chunk52BL3727cjs.isRecordPlain.call(void 0, x)).toBe(false);
    expect(_chunk52BL3727cjs.isRecordPlain.call(void 0, plain)).toBe(true);
    expect(_chunk52BL3727cjs.isRecordPlain.call(void 0, [])).toBe(false);
    expect(_chunk52BL3727cjs.isRecordPlain.call(void 0, 123)).toBe(false);
    expect(_chunk52BL3727cjs.isRecordPlain.call(void 0, /* @__PURE__ */ new Date())).toBe(false);
    expect(_chunk52BL3727cjs.isRecordPlain.call(void 0, fn)).toBe(false);
    expect(_chunk52BL3727cjs.isPrimitive.call(void 0, X)).toBe(false);
    expect(_chunk52BL3727cjs.isPrimitive.call(void 0, x)).toBe(false);
    expect(_chunk52BL3727cjs.isPrimitive.call(void 0, plain)).toBe(false);
    expect(_chunk52BL3727cjs.isPrimitive.call(void 0, [])).toBe(false);
    expect(_chunk52BL3727cjs.isPrimitive.call(void 0, 123)).toBe(true);
    expect(_chunk52BL3727cjs.isPrimitive.call(void 0, /* @__PURE__ */ new Date())).toBe(false);
    expect(_chunk52BL3727cjs.isPrimitive.call(void 0, fn)).toBe(false);
  });
  it("should filter", async () => {
    const test = ["a", null, void 0, "b", false, "c", true, "", [], [1, 2, 3], {}, { a: 1 }];
    const r = test.filter(_chunk52BL3727cjs.isNotNull);
    expect(r).toMatchInlineSnapshot(`
      Array [
        "a",
        "b",
        false,
        "c",
        true,
        "",
        Array [],
        Array [
          1,
          2,
          3,
        ],
        Object {},
        Object {
          "a": 1,
        },
      ]
    `);
    const rr = test.filter(_chunk52BL3727cjs.isValue);
    expect(rr).toMatchInlineSnapshot(`
      Array [
        "a",
        "b",
        "c",
        "",
        Array [],
        Array [
          1,
          2,
          3,
        ],
        Object {},
        Object {
          "a": 1,
        },
      ]
    `);
    const rrr = test.filter(_chunk52BL3727cjs.isNotEmpty);
    expect(rrr).toMatchInlineSnapshot(`
      Array [
        "a",
        "b",
        false,
        "c",
        true,
        Array [
          1,
          2,
          3,
        ],
        Object {
          "a": 1,
        },
      ]
    `);
    const rrrr = test.filter(_chunk52BL3727cjs.isEmpty);
    expect(rrrr).toMatchInlineSnapshot(`
      Array [
        null,
        undefined,
        "",
        Array [],
        Object {},
      ]
    `);
    const rrrrr = test.filter(_chunk52BL3727cjs.isTruthy);
    expect(rrrrr).toMatchInlineSnapshot(`
      Array [
        "a",
        "b",
        "c",
        true,
        Array [],
        Array [
          1,
          2,
          3,
        ],
        Object {},
        Object {
          "a": 1,
        },
      ]
    `);
  });
  it("should handle NaN", () => {
    const nan = +"abc";
    expect(Number.isNaN(nan)).toBe(true);
    expect(typeof nan === "number").toBe(true);
    expect(_chunk52BL3727cjs.isNumber.call(void 0, nan)).toBe(false);
  });
  it("should identify function correctly", () => {
    function fn() {
      return "hello";
    }
    const arrowFn = () => "world";
    const obj = {
      method() {
        return "foo";
      }
    };
    const classObj = new class {
      method() {
        return "bar";
      }
    }();
    expect(_chunk52BL3727cjs.isFunction.call(void 0, fn)).toBe(true);
    expect(_chunk52BL3727cjs.isFunction.call(void 0, arrowFn)).toBe(true);
    expect(_chunk52BL3727cjs.isFunction.call(void 0, obj.method)).toBe(true);
    expect(_chunk52BL3727cjs.isFunction.call(void 0, classObj.method)).toBe(true);
    expect(_chunk52BL3727cjs.isFunction.call(void 0, {})).toBe(false);
    expect(_chunk52BL3727cjs.isFunction.call(void 0, [])).toBe(false);
    expect(_chunk52BL3727cjs.isFunction.call(void 0, 123)).toBe(false);
    expect(_chunk52BL3727cjs.isFunction.call(void 0, "hello")).toBe(false);
    expect(_chunk52BL3727cjs.isFunction.call(void 0, true)).toBe(false);
    expect(_chunk52BL3727cjs.isFunction.call(void 0, null)).toBe(false);
    expect(_chunk52BL3727cjs.isFunction.call(void 0, void 0)).toBe(false);
  });
  it("should identify symbol correctly", () => {
    const symbol = Symbol("test");
    expect(_chunk52BL3727cjs.isSymbol.call(void 0, symbol)).toBe(true);
    expect(_chunk52BL3727cjs.isSymbol.call(void 0, "test")).toBe(false);
    expect(_chunk52BL3727cjs.isSymbol.call(void 0, 123)).toBe(false);
    expect(_chunk52BL3727cjs.isSymbol.call(void 0, {})).toBe(false);
    expect(_chunk52BL3727cjs.isSymbol.call(void 0, [])).toBe(false);
    expect(_chunk52BL3727cjs.isSymbol.call(void 0, null)).toBe(false);
    expect(_chunk52BL3727cjs.isSymbol.call(void 0, void 0)).toBe(false);
  });
  it("should identify binary arrays correctly", () => {
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, new Uint8Array([1, 2, 3]))).toBe(true);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, new Uint8ClampedArray([1, 2, 3]))).toBe(true);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, new Uint16Array([1, 2, 3]))).toBe(true);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, new Uint32Array([1, 2, 3]))).toBe(true);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, new Int8Array([1, 2, 3]))).toBe(true);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, new Int16Array([1, 2, 3]))).toBe(true);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, new Int32Array([1, 2, 3]))).toBe(true);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, new Float32Array([1, 2, 3]))).toBe(true);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, new Float64Array([1, 2, 3]))).toBe(true);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, new BigInt64Array([1n, 2n, 3n]))).toBe(true);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, new BigUint64Array([1n, 2n, 3n]))).toBe(true);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, [])).toBe(false);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, {})).toBe(false);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, 123)).toBe(false);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, "hello")).toBe(false);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, true)).toBe(false);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, null)).toBe(false);
    expect(_chunk52BL3727cjs.isBinaryArray.call(void 0, void 0)).toBe(false);
  });
});
//# sourceMappingURL=is.spec.cjs.map