"use strict";




var _chunkRKOTNV3Kcjs = require('../../chunk-RKOTNV3K.cjs');



var _chunkDRQTDJSCcjs = require('../../chunk-DRQTDJSC.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-PJXRDQ2A.cjs');


var _chunk7FO3T7KHcjs = require('../../chunk-7FO3T7KH.cjs');
require('../../chunk-TAKWLGAZ.cjs');
require('../../chunk-EBDUTZIB.cjs');

// src/common/data/sortable.spec.ts
describe("sortable", () => {
  const list = [-0.2, -1e-3, 0, 1e-3, 2];
  const items = list.map((sort_weight, index) => ({ index, sort_weight }));
  it("should add correctly", () => {
    expect(_chunkRKOTNV3Kcjs.startSortWeight.call(void 0, items)).toBeLessThan(list[0]);
    expect(_chunkRKOTNV3Kcjs.endSortWeight.call(void 0, items)).toBeGreaterThan(_chunk7FO3T7KHcjs.last.call(void 0, list) || 0);
  });
  it("should sort correctly", () => {
    const shuffledItems = _chunkDRQTDJSCcjs.arrayShuffleForce.call(void 0, items);
    expect(shuffledItems.map((el) => el.sort_weight)).not.toEqual(list);
    expect(_chunkRKOTNV3Kcjs.sortedItems.call(void 0, shuffledItems).map((el) => el.sort_weight)).toEqual(list);
  });
  it("should move correctly", () => {
    let items2 = [];
    for (let i = 0; i < 10; i++) {
      items2.push({
        name: String(i),
        sort_weight: i
      });
    }
    expect(
      _chunkRKOTNV3Kcjs.sortedItems.call(void 0, items2).map((o) => o.name).join("")
    ).toEqual("0123456789");
    const moveItem = items2[8];
    moveItem.sort_weight = _chunkRKOTNV3Kcjs.moveSortWeight.call(void 0, 1, 8, items2);
    expect(
      _chunkRKOTNV3Kcjs.sortedItems.call(void 0, items2).map((o) => o.name).join("")
    ).toEqual("0812345679");
    items2 = _chunkRKOTNV3Kcjs.sortedItems.call(void 0, items2);
    const moveItem2 = items2[1];
    _chunkDRQTDJSCcjs.arrayShuffleInPlace.call(void 0, items2);
    moveItem2.sort_weight = _chunkRKOTNV3Kcjs.moveSortWeight.call(void 0, 8, 1, items2);
    expect(
      _chunkRKOTNV3Kcjs.sortedItems.call(void 0, items2).map((o) => o.name).join("")
    ).toEqual("0123456789");
  });
});
//# sourceMappingURL=sortable.spec.cjs.map