import "../../chunk-6NKWSWQW.js";
import "../../chunk-Y5ZWBEKN.js";
import "../../chunk-OUD6NWHY.js";
import "../../chunk-2QDXP3IF.js";
import "../../chunk-YFNV56TG.js";
import "../../chunk-V3OFUMQX.js";
import "../../chunk-FA3Y54NL.js";
import "../../chunk-YQIRRU73.js";
import "../../chunk-ZSX3K6MH.js";
import "../../chunk-MPAXUMZ5.js";
import "../../chunk-PJDBG5VS.js";
import "../../chunk-3PCE3IPH.js";
import "../../chunk-WEBXXRYZ.js";
import "../../chunk-OQ2AACIR.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-XWWQZH6C.js";
import "../../chunk-D6B6MYVG.js";
import "../../chunk-Y7J6ADHV.js";
import "../../chunk-OKUAPZFI.js";
import "../../chunk-QS2OVW4B.js";
import "../../chunk-7IUVQQ4S.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-UJR57SSR.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-ZFRTRIT4.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-36ARYR6V.js";
import "../../chunk-XSB2WAW2.js";
import "../../chunk-5Y3HYG6B.js";
import "../../chunk-FPJHSFML.js";
import "../../chunk-3SMFSMCY.js";
import "../../chunk-X2DIUKLP.js";
import "../../chunk-NYCGHEIN.js";
import "../../chunk-AS5LR4AI.js";
import "../../chunk-DUQ7DD4G.js";
import "../../chunk-XHROZN2O.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-2PY7FMFN.js";
import "../../chunk-73CVRDI7.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-HLRQ5H3N.js";
import "../../chunk-DXSTF7NX.js";
import "../../chunk-AY5LGXTC.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-N5R4OMJA.js";
import "../../chunk-SOTGICOC.js";
import "../../chunk-MVRB7Y7X.js";
import {
  sleep
} from "../../chunk-FSDCRQB3.js";
import "../../chunk-MRFHKDNG.js";
import "../../chunk-DUON5DN5.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-IZT6OHMS.js";
import "../../chunk-JJD2XTS2.js";
import "../../chunk-TYWNSO7K.js";
import "../../chunk-ZMFW3O35.js";
import {
  cloneObject,
  empty,
  ensureKey,
  forTimes,
  memoize,
  memoizeAsync,
  size
} from "../../chunk-5BQNKE5C.js";
import "../../chunk-7NSVDPHN.js";
import "../../chunk-WG6ZJDFQ.js";
import "../../chunk-VWBTJP5F.js";
import "../../chunk-LRAR7IPU.js";

// src/common/data/utils.spec.ts
describe("cloneObject", () => {
  it("should clone only non primitives", () => {
    {
      const sample = "Test";
      expect(cloneObject(sample) === sample).toBe(true);
      expect(cloneObject(sample) === "Test").toBe(true);
    }
    {
      const sample = { hello: "world" };
      expect(cloneObject(sample) === sample).toBe(false);
      expect(cloneObject(sample)).toEqual(sample);
      expect(cloneObject(sample)).toEqual({ hello: "world" });
    }
  });
});
describe("size", () => {
  it("should calc size of map", () => {
    const map = /* @__PURE__ */ new Map();
    map.set("a", 1);
    map.set("b", 2);
    expect(size(map)).toBe(2);
  });
  it("should calc size of set", () => {
    const set = /* @__PURE__ */ new Set();
    set.add(1);
    set.add(2);
    set.add(3);
    expect(size(set)).toBe(3);
  });
  it("should calc size of object", () => {
    expect(size({ a: 1, b: 2 })).toBe(2);
  });
  it("should calc size of array", () => {
    expect(size([1, 2, void 0])).toBe(3);
  });
  it("should calc size of primitives", () => {
    expect(size("hello")).toBe(5);
    expect(size(3)).toBe(0);
    expect(size(true)).toBe(0);
    expect(size(null)).toBe(0);
    expect(size(void 0)).toBe(0);
    expect(size(Number.NaN)).toBe(0);
  });
});
describe("empty", () => {
  it("should calc empty of map", () => {
    const map = /* @__PURE__ */ new Map();
    expect(empty(map)).toBe(true);
    map.set("a", 1);
    map.set("b", 2);
    expect(empty(map)).toBe(false);
  });
  it("should calc empty of set", () => {
    const set = /* @__PURE__ */ new Set();
    expect(empty(set)).toBe(true);
    set.add(1);
    set.add(2);
    set.add(3);
    expect(empty(set)).toBe(false);
  });
  it("should calc empty of object", () => {
    expect(empty({})).toBe(true);
    expect(empty({ a: 1, b: 2 })).toBe(false);
  });
  it("should calc empty of array", () => {
    expect(empty([])).toBe(true);
    expect(empty([void 0])).toBe(false);
    expect(empty([1, 2, void 0])).toBe(false);
  });
  it("should calc empty of primitives", () => {
    expect(empty("")).toBe(true);
    expect(empty("hello")).toBe(false);
    expect(empty(3)).toBe(true);
    expect(empty(0)).toBe(true);
    expect(empty(false)).toBe(true);
    expect(empty(true)).toBe(true);
    expect(empty(null)).toBe(true);
    expect(empty(void 0)).toBe(true);
    expect(empty(Number.NaN)).toBe(true);
  });
  it("should ensure key", () => {
    const rooms = {};
    ensureKey(rooms, "a", (r) => ({ r })).x = 1;
    expect(rooms).toMatchInlineSnapshot(`
      Object {
        "a": Object {
          "r": "a",
          "x": 1,
        },
      }
    `);
    ensureKey(rooms, "a", (r) => ({ r })).x += 10;
    expect(rooms).toMatchInlineSnapshot(`
      Object {
        "a": Object {
          "r": "a",
          "x": 11,
        },
      }
    `);
  });
  it("should repeat forTimes", () => {
    const l = [];
    forTimes(10, (...args) => l.push(args));
    expect(l).toMatchInlineSnapshot(`
      Array [
        Array [
          0,
          10,
        ],
        Array [
          1,
          10,
        ],
        Array [
          2,
          10,
        ],
        Array [
          3,
          10,
        ],
        Array [
          4,
          10,
        ],
        Array [
          5,
          10,
        ],
        Array [
          6,
          10,
        ],
        Array [
          7,
          10,
        ],
        Array [
          8,
          10,
        ],
        Array [
          9,
          10,
        ],
      ]
    `);
  });
  it("should memoize", () => {
    let ctr = 1;
    const fn = memoize((inc) => {
      ctr += inc;
      return ctr;
    });
    expect(fn(10)).toBe(11);
    expect(fn(10)).toBe(11);
    expect(fn(1)).toBe(12);
    expect(ctr).toBe(12);
  });
  it("should memoize async", async () => {
    let ctr = 1;
    const fn = memoizeAsync(async (inc) => {
      await sleep(10);
      ctr += inc;
      return ctr;
    });
    expect(await fn(10)).toBe(11);
    expect(await fn(10)).toBe(11);
    expect(await fn(1)).toBe(12);
    expect(ctr).toBe(12);
  });
});
//# sourceMappingURL=utils.spec.js.map