"use strict";





var _chunkWMBXBB3Kcjs = require('../../chunk-WMBXBB3K.cjs');







var _chunkJ42M6DF3cjs = require('../../chunk-J42M6DF3.cjs');
require('../../chunk-HMBNEKYK.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-RZKLDILW.cjs');
require('../../chunk-NEUX2E3A.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-7ZVZ6CJO.cjs');
require('../../chunk-ZTXHUURC.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-VLOXFDUZ.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-XVQVWCIE.cjs');
require('../../chunk-52BL3727.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-JQSCYOKH.cjs');
require('../../chunk-L5SJIWCK.cjs');
require('../../chunk-EE5CB3R7.cjs');
require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-5KIDARFB.cjs');
require('../../chunk-DRQTDJSC.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-5K46PLWP.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-7FO3T7KH.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-QP5Y3I6F.cjs');
require('../../chunk-TAKWLGAZ.cjs');
require('../../chunk-EBDUTZIB.cjs');

// src/common/log/log-filter.spec.ts
describe("log-filter", () => {
  it("should match", () => {
    {
      const matches = _chunkWMBXBB3Kcjs.useNamespaceFilter.call(void 0, "a");
      expect(matches.filter).toBe("a");
      expect(matches.accept).toEqual([/^a/]);
      expect(matches.reject).toEqual([]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(false);
    }
    {
      const matches = _chunkWMBXBB3Kcjs.useNamespaceFilter.call(void 0, "a*");
      expect(matches.filter).toBe("a*");
      expect(matches.accept).toEqual([/^a.*?/]);
      expect(matches.reject).toEqual([]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(false);
    }
    {
      const matches = _chunkWMBXBB3Kcjs.useNamespaceFilter.call(void 0, "a*,b*,-c*");
      expect(matches.filter).toBe("a*,b*,-c*");
      expect(matches.accept).toEqual([/^a.*?/, /^b.*?/]);
      expect(matches.reject).toEqual([/^c.*?/]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(true);
      expect(matches("c:d")).toBe(false);
    }
    {
      const matches = _chunkWMBXBB3Kcjs.useNamespaceFilter.call(void 0, "*,-c*");
      expect(matches.filter).toBe("*,-c*");
      expect(matches.accept).toEqual([/^.*?/]);
      expect(matches.reject).toEqual([/^c.*?/]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(true);
      expect(matches("c:d")).toBe(false);
    }
    {
      const matches = _chunkWMBXBB3Kcjs.useNamespaceFilter.call(void 0, "*,-c");
      expect(matches.filter).toBe("*,-c");
      expect(matches.accept).toEqual([/^.*?/]);
      expect(matches.reject).toEqual([/^c/]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(true);
      expect(matches("c:d")).toBe(false);
    }
    {
      const matches = _chunkWMBXBB3Kcjs.useNamespaceFilter.call(void 0, "*");
      expect(matches.filter).toBe("*");
      expect(matches.accept).toEqual([]);
      expect(matches.reject).toEqual([]);
      expect(matches("a")).toBe(true);
      expect(matches("b:c")).toBe(true);
    }
  });
  it("should interprete filter right", () => {
    expect(_chunkWMBXBB3Kcjs.getNamespaceFilterString.call(void 0, "")).toEqual("");
    expect(_chunkWMBXBB3Kcjs.getNamespaceFilterString.call(void 0, 0)).toEqual("");
    expect(_chunkWMBXBB3Kcjs.getNamespaceFilterString.call(void 0, false)).toEqual("");
    expect(_chunkWMBXBB3Kcjs.getNamespaceFilterString.call(void 0, "false")).toEqual("");
    expect(_chunkWMBXBB3Kcjs.getNamespaceFilterString.call(void 0, null)).toEqual("");
    expect(_chunkWMBXBB3Kcjs.getNamespaceFilterString.call(void 0, "*")).toEqual("*");
    expect(_chunkWMBXBB3Kcjs.getNamespaceFilterString.call(void 0, 1)).toEqual("*");
    expect(_chunkWMBXBB3Kcjs.getNamespaceFilterString.call(void 0, true)).toEqual("*");
    expect(_chunkWMBXBB3Kcjs.getNamespaceFilterString.call(void 0, "true")).toEqual("*");
    expect(_chunkWMBXBB3Kcjs.getNamespaceFilterString.call(void 0, "a:b")).toEqual("a:b");
  });
  it("should filter by level", () => {
    {
      const levelFilter = _chunkWMBXBB3Kcjs.useLevelFilter.call(void 0, "err");
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelDebug)).toBe(false);
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelWarn)).toBe(false);
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelError)).toBe(true);
    }
    {
      const levelFilter = _chunkWMBXBB3Kcjs.useLevelFilter.call(void 0, "adfdfds");
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelDebug)).toBe(true);
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelWarn)).toBe(true);
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelError)).toBe(true);
    }
    {
      const levelFilter = _chunkWMBXBB3Kcjs.useLevelFilter.call(void 0, _chunkJ42M6DF3cjs.LogLevelWarn);
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelDebug)).toBe(false);
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelWarn)).toBe(true);
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelError)).toBe(true);
    }
  });
  it("should identify log level", () => {
    expect(_chunkWMBXBB3Kcjs.parseLogLevel.call(void 0, false)).toEqual(_chunkJ42M6DF3cjs.LogLevelOff);
    expect(_chunkWMBXBB3Kcjs.parseLogLevel.call(void 0, "info")).toEqual(_chunkJ42M6DF3cjs.LogLevelInfo);
    expect(_chunkWMBXBB3Kcjs.parseLogLevel.call(void 0, _chunkJ42M6DF3cjs.LogLevelError)).toEqual(_chunkJ42M6DF3cjs.LogLevelError);
    expect(_chunkWMBXBB3Kcjs.parseLogLevel.call(void 0, true)).toEqual(_chunkJ42M6DF3cjs.LogLevelAll);
    expect(_chunkWMBXBB3Kcjs.parseLogLevel.call(void 0, 2)).toEqual(_chunkJ42M6DF3cjs.LogLevelWarn);
  });
  it("should join strings", () => {
    expect(_chunkWMBXBB3Kcjs.joinLogStrings.call(void 0, "test")).toEqual(["test"]);
    expect(_chunkWMBXBB3Kcjs.joinLogStrings.call(void 0, "test", "more", 1, 2, 3)).toEqual(["test more", 1, 2, 3]);
    expect(_chunkWMBXBB3Kcjs.joinLogStrings.call(void 0, "test", { a: 1 })).toEqual(["test", { a: 1 }]);
    expect(_chunkWMBXBB3Kcjs.joinLogStrings.call(void 0, "test", "a", "b", true, void 0, null, { a: 1 })).toEqual(["test a", "b", true, void 0, null, { a: 1 }]);
  });
});
//# sourceMappingURL=log-filter.spec.cjs.map