"use strict"; function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }















var _chunkBNY33VPPcjs = require('../chunk-BNY33VPP.cjs');
require('../chunk-U7QCFBCQ.cjs');
require('../chunk-L646RZQB.cjs');
require('../chunk-HMBNEKYK.cjs');
require('../chunk-DRTH56G4.cjs');
require('../chunk-A4VFMLAN.cjs');
require('../chunk-RZKLDILW.cjs');
require('../chunk-NEUX2E3A.cjs');
require('../chunk-RKOTNV3K.cjs');
require('../chunk-XWE2OTGL.cjs');
require('../chunk-KTC5RW57.cjs');
require('../chunk-7ZVZ6CJO.cjs');
require('../chunk-ZTXHUURC.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-VLOXFDUZ.cjs');
require('../chunk-N7OUNPMM.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-YELWQAMG.cjs');
require('../chunk-XVQVWCIE.cjs');
require('../chunk-52BL3727.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-JQSCYOKH.cjs');
require('../chunk-L5SJIWCK.cjs');
require('../chunk-EE5CB3R7.cjs');


var _chunkQYCE2TUJcjs = require('../chunk-QYCE2TUJ.cjs');
require('../chunk-5KIDARFB.cjs');
require('../chunk-DRQTDJSC.cjs');
require('../chunk-6T6PI6XG.cjs');
require('../chunk-PJXRDQ2A.cjs');


var _chunk5K46PLWPcjs = require('../chunk-5K46PLWP.cjs');
require('../chunk-FYLSPYV2.cjs');
require('../chunk-YKRFYR2Q.cjs');
require('../chunk-7FO3T7KH.cjs');
require('../chunk-BMRI2X66.cjs');
require('../chunk-QP5Y3I6F.cjs');
require('../chunk-TAKWLGAZ.cjs');
require('../chunk-EBDUTZIB.cjs');

// src/common/uuid.spec.ts
describe("uuid", () => {
  it("should not certain length", () => {
    expect(_chunkBNY33VPPcjs.uuid.call(void 0, ).length).toBe(22);
    expect(_chunkBNY33VPPcjs.uuidB32.call(void 0, ).length).toBe(26);
  });
  it("should encode/decode", () => {
    const us = _chunkBNY33VPPcjs.uuid.call(void 0, );
    const ub = _chunkBNY33VPPcjs.uuidDecode.call(void 0, us);
    expect(ub.length).toBe(16);
    expect(_chunkBNY33VPPcjs.uuidEncode.call(void 0, ub)).toEqual(us);
  });
  it("should not have collisions", () => {
    const list = Array.apply(null, Array(100)).map(_chunkBNY33VPPcjs.uuid);
    while (list.length) {
      const id = list.pop();
      expect(_optionalChain([id, 'optionalAccess', _ => _.length])).toBe(22);
      expect(list).not.toContain(id);
    }
  });
  it("should not have collisions v4", () => {
    const list = Array.apply(null, Array(100)).map(_chunkBNY33VPPcjs.uuidv4);
    while (list.length) {
      const id = list.pop();
      expect(_optionalChain([id, 'optionalAccess', _2 => _2.length])).toBe(36);
      expect(list).not.toContain(id);
    }
  });
  it("should have nice uname", () => {
    expect(_chunkBNY33VPPcjs.uname.call(void 0, )).toBe("id-0");
    expect(_chunkBNY33VPPcjs.uname.call(void 0, )).toBe("id-1");
    expect(_chunkBNY33VPPcjs.uname.call(void 0, "me")).toBe("me-0");
    expect(_chunkBNY33VPPcjs.uname.call(void 0, )).toBe("id-2");
  });
  it("should create sortable ID", () => {
    const sample = _chunkBNY33VPPcjs.suid.call(void 0, );
    expect(sample).toHaveLength("000FcTTJiOtjzrDGJVhfoa".length);
    const dateSuid = new Uint8Array([
      0,
      0,
      141,
      33,
      250,
      205,
      174,
      58,
      31,
      221,
      187,
      156,
      31,
      221,
      187,
      156
    ]);
    expect(_chunkBNY33VPPcjs.suidBytesDate.call(void 0, dateSuid)).toEqual(
      /* @__PURE__ */ new Date("2020-10-10T22:10:14.349Z")
    );
    const { encode, decode } = _chunk5K46PLWPcjs.useBase.call(void 0, 62);
    expect(encode(dateSuid, 22)).toBe("000FcTTJiOtjzrDGJVhfoa");
    expect(decode("000FcTTJiOtjzrDGJVhfoa", 16)).toEqual(dateSuid);
    expect(decode("000FcTTJiOtjzrDGJVhfoa", 16)).toEqual(
      new Uint8Array([
        0,
        0,
        141,
        33,
        250,
        205,
        174,
        58,
        31,
        221,
        187,
        156,
        31,
        221,
        187,
        156
      ])
    );
    expect(_chunkBNY33VPPcjs.suidDate.call(void 0, "000FcTTJiOtjzrDGJVhfoa")).toEqual(
      /* @__PURE__ */ new Date("2020-10-10T22:10:14.349Z")
    );
  });
  it("should sort correctly", async () => {
    expect("abc" < "ABC").toBe(false);
    expect("abc" > "ABC").toBe(true);
    expect("0" < "A").toBe(true);
    expect("0" < "a").toBe(true);
    expect("0" > "A").toBe(false);
    expect("0" > "a").toBe(false);
    const sample = [
      "012a",
      "0123B",
      "0123c",
      "aBC",
      "Abc",
      "abC",
      "aa",
      "aZ",
      "ay",
      "aB",
      "002ITJose",
      "002ITJoCh",
      "002ITJoch",
      "002ITJoSE"
    ];
    sample.sort();
    expect(sample).toEqual([
      "002ITJoCh",
      "002ITJoSE",
      "002ITJoch",
      "002ITJose",
      "0123B",
      "0123c",
      "012a",
      "Abc",
      "aB",
      "aBC",
      "aZ",
      "aa",
      "abC",
      "ay"
    ]);
  });
  it("should evaluate demo", async () => {
    expect.assertions(100);
    for (let i = 0; i < 100; i++) {
      const shortSortableId = _chunkBNY33VPPcjs.suid.call(void 0, );
      await _chunkQYCE2TUJcjs.sleep.call(void 0, 2);
      const nextSUID = _chunkBNY33VPPcjs.suid.call(void 0, );
      expect(shortSortableId < nextSUID).toBe(true);
    }
  });
  it("should generate 32bit", () => {
    expect(_chunkBNY33VPPcjs.uuid32bit.call(void 0, )).not.toBe(0);
    expect(_chunkBNY33VPPcjs.uuid32bit.call(void 0, )).not.toBe(_chunkBNY33VPPcjs.uuid32bit.call(void 0, ));
    expect(Number.isSafeInteger(_chunkBNY33VPPcjs.uuid32bit.call(void 0, ))).toBe(true);
  });
  it("should encode / decode 32", () => {
    const bytes = _chunkBNY33VPPcjs.uuidBytes.call(void 0, );
    const b32 = _chunkBNY33VPPcjs.uuidEncodeB32.call(void 0, bytes);
    expect(b32).toHaveLength(26);
    expect(_chunkBNY33VPPcjs.uuidDecodeB32.call(void 0, b32)).toEqual(bytes);
  });
  it("should encode / decode 62", () => {
    const bytes = _chunkBNY33VPPcjs.uuidBytes.call(void 0, );
    const b62 = _chunkBNY33VPPcjs.uuidEncode.call(void 0, bytes);
    expect(b62).toHaveLength(22);
    expect(_chunkBNY33VPPcjs.uuidDecode.call(void 0, b62)).toEqual(bytes);
  });
  it("should encode / decode 62 from string", () => {
    const id = _chunkBNY33VPPcjs.uuid.call(void 0, );
    expect(id).toHaveLength(22);
    const b62 = _chunkBNY33VPPcjs.uuidDecode.call(void 0, id);
    expect(b62).toHaveLength(16);
    expect(_chunkBNY33VPPcjs.uuidEncode.call(void 0, b62)).toEqual(id);
  });
  it("should encode / decode 62 by example", () => {
    const id = "78MQbFaILcblSYA7WS2OGE";
    expect(id).toHaveLength(22);
    const b62 = _chunkBNY33VPPcjs.uuidDecode.call(void 0, id);
    expect(b62).toHaveLength(16);
    expect(b62).toMatchInlineSnapshot(`
      Uint8Array [
        234,
        109,
        230,
        115,
        91,
        247,
        195,
        211,
        119,
        255,
        157,
        220,
        65,
        184,
        26,
        190,
      ]
    `);
    expect(_chunkBNY33VPPcjs.uuidEncode.call(void 0, b62)).toEqual("78MQbFaILcblSYA7WS2OGE");
    const uv4 = _chunkBNY33VPPcjs.uuidEncodeV4.call(void 0, b62);
    expect(uv4).toEqual("ea6de673-5bf7-c3d3-77ff9ddc41b81abe");
    expect(_chunkBNY33VPPcjs.uuidDecodeV4.call(void 0, uv4)).toEqual(b62);
  });
});
//# sourceMappingURL=uuid.spec.cjs.map